Subject: Re: [PATCH 04/10] AOE: use rcu to find network device

From: Ed Cashin <[email-masked]>
Date: Wed, 11 Nov 2009 09:22:41 -0500

On Tue Nov 10 18:06:41 EST 2009, [email-masked] wrote:
...
> Hmm, looks like AOE actually is not ref counting the network device.
> So my patch is incorrect. 
> 
> As it stands (before my patch), it is UNSAFE. It can decide to queue
> packets to a device that is removed out from underneath it causing
> reference to freed memory.

Yes, that's right.  I will look at the patch you sent in the follow
up.  Thanks.

-- 
  Ed